package org.greenstone.gsdl3.util;

import junit.framework.*; 
import java.io.File;

public class GSFileTest extends TestCase {

    /** what type of test - used by the testing framework */
    public static final String TEST_ALL_TEST_TYPE="UNIT";

    public GSFileTest(String name) {
	super(name);
    }

    /** test suite that dynamically runs all the tests */
    public static Test suite() {
	return new TestSuite(GSFileTest.class);
    }

    public void testBase64Conversion() {
	
	// start off with reverse conversion - decode then encode
	String data = "sdkfjho9w4385khrf9ow834rfia8ufd38rhf9812";
	File outfile;
	try {
	    outfile = File.createTempFile("b64convert_test", "");
	} catch (java.io.IOException e) {
	    fail("couldn't create a temporary file in default temp dir");
	    return;
	}
	String filename = outfile.getAbsolutePath();
	
	String newdata;
	if (GSFile.base64DecodeToFile(data, filename)) {
	    newdata = GSFile.base64EncodeFromFile(filename);

	    assertEquals("decoded/encoded string does not match the origianl",
			 data, newdata);
	    // clean up
	    outfile.delete();
	} else {
	    fail("couldn't decode the data string");
	}

	//try with a real file???
	
    }

}
